
Name:           ktextaddons
Version:        1.1.1
Release:        %mkrel 2
Group:          Graphical desktop/KDE5
License:        LGPLv3
Summary:        Various text handling addons
Url:            https://invent.kde.org/libraries/ktextaddons
Source0:        https://download.kde.org/stable/ktextaddons/%{name}-%{version}.tar.xz
BuildRequires:  doxygen


%description
Various text handling addons for the KDE dekstop.
WWW: https://invent.kde.org/libraries/ktextaddons

%files
%{_qt5_plugindir}
%{_datadir}
#--------------------------------------------------------------------

%define kf5textautocorrection_major 1
%define libkf5textautocorrection %mklibname kf5textautocorrection %{kf5textautocorrection_major}

%package -n %libkf5textautocorrection
Summary:        Ktextaddons Text Auto Correction library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf5textautocorrection
Ktextaddons Text Auto Correction component library.

%files -n %libkf5textautocorrection
%{_kf5_libdir}/libKF5TextAutoCorrection.so.%{kf5textautocorrection_major}*

#--------------------------------------------------------------------

%define kf5textedittexttospeech_major 1
%define libkf5textedittexttospeech %mklibname kf5textedittexttospeech %{kf5textedittexttospeech_major}

%package -n %libkf5textedittexttospeech
Summary:        Ktextaddons Text Edit Text To Speech library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf5textedittexttospeech
Ktextaddons Text Edit Text To Speech component library.

%files -n %libkf5textedittexttospeech
%{_kf5_libdir}/libKF5TextEditTextToSpeech.so.%{kf5textedittexttospeech_major}*

#--------------------------------------------------------------------

%define kf5textgrammarcheck_major 1
%define libkf5textgrammarcheck %mklibname kf5textgrammarcheck %{kf5textgrammarcheck_major}

%package -n %libkf5textgrammarcheck
Summary:        Ktextaddons Text Grammar Check library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf5textgrammarcheck
Ktextaddons Text Grammar Check component library.

%files -n %libkf5textgrammarcheck
%{_kf5_libdir}/libKF5TextGrammarCheck.so.%{kf5textgrammarcheck_major}*

#--------------------------------------------------------------------

%define kf5texttranslator_major 1
%define libkf5texttranslator %mklibname kf5texttranslator %{kf5texttranslator_major}

%package -n %libkf5texttranslator
Summary:        Ktextaddons Text Translator library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf5texttranslator
Ktextaddons Text Translator component library.

%files -n %libkf5texttranslator
%{_kf5_libdir}/libKF5TextTranslator.so.%{kf5texttranslator_major}*

#--------------------------------------------------------------------

%define libktextaddons_dev %mklibname kf5textaddons -d

%package -n     %{libktextaddons_dev}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libkf5textautocorrection} = %{version}-%{release}
Requires:       %{libkf5textedittexttospeech} = %{version}-%{release}
Requires:       %{libkf5textgrammarcheck} = %{version}-%{release}
Requires:       %{libkf5texttranslator} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       kf5textaddons-devel = %{version}-%{release}

%description -n %{libktextaddons_dev}
This package contains header files needed if you wish to build
applications based on %{name}.

%files -n %{libktextaddons_dev}
%{_kf5_includedir}
%{_kf5_libdir}/*.so
%{_kf5_libdir}/cmake
%{_kf5_mkspecsdir}/*.pri

#--------------------------------------------------------------------


%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
rm -rf %buildroot
%cmake_install


%changelog
* Mon May 15 2023 tex - 1.1.1-2pclos2023
- rebuild against updates

* Fri Apr 21 2023 tex - 1.1.1-1pclos2023
- create pkg
